/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.status-container {
  display: flex;
  align-items: center;
  height: 20px;
  box-sizing: border-box;
  line-height: 18px;
}

.status {
  font-size: 12px;
  text-transform: uppercase;
}

.indicator {
  display: inline-block;
  min-width: 12px;
  height: 12px;
  border-radius: 50%;
  margin-right: 5px;
  background-color: $COLOR--gray-47;
  &.failed {
    background-color: $COLOR--failed;
  }
  &.passed {
    background-color: $COLOR--passed;
  }
  &.skipped {
    background-color: $COLOR--skipped;
  }
  &.untested {
    background-color: $COLOR--untested;
  }
  &.running {
    background-color: $COLOR--running;
  }
  &.interrupted,
  &.stopped {
    background-color: $COLOR--blush;
  }
  &.in_progress {
    background-color: $COLOR--violet;
  }
  &.many {
    background-color: $COLOR--light-yellow;
  }
  &.warn {
    background-color: $COLOR--status-warn;
  }
  &.info {
    background-color: $COLOR--status-info;
  }
}
